# <filterset>

[This is preliminary documentation and subject to change.]

A set of filters to be applied to something.

A filter set may have begintoken and endtokens defined.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
begintoken | string | The string used to identity the beginning of a token. The default is `@`. | False
endtoken | string | The string used to identify the end of a token. The default is `@`. | False
id | string | The ID used to be referenced later. | False
refid | string | The ID to use as the reference. | False

### Nested Elements:

#### <filter>

The filters to apply.

Individual filter component of <filterset>.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
token | string | The token which will be replaced when filtering. | True
value | string | The value which will replace the token when filtering. | True

#### </filter>

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)